xbuffy (3.3.bl.3.dfsg-10build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:51:50 +0000

xbuffy (3.3.bl.3.dfsg-10) unstable; urgency=medium

  * orphan package
  * change Vcs- headers to collab-maint

 -- Bernhard R. Link <brlink@debian.org>  Sat, 09 Aug 2014 18:12:21 +0200

xbuffy (3.3.bl.3.dfsg-9) unstable; urgency=low

  * update Vcs- headers
  * change to debhelper compatibility level 8
  * use dpkg-buildflags
  * bump Standards-Version
  * replace indent subject lines patch, fixing:
    CVE-2014-0469 xbuffy stack-based buffer overflow in subject processing

 -- Bernhard R. Link <brlink@debian.org>  Mon, 21 Apr 2014 23:31:59 +0200

xbuffy (3.3.bl.3.dfsg-8) unstable; urgency=low

  * Import package into git, generate debian/patches from git
  * Use -z defs instead of -z syms so binutils-gold is happy
  * fix spelling error in manpage

 -- Bernhard R. Link <brlink@debian.org>  Fri, 01 Jan 2010 18:12:56 +0100

xbuffy (3.3.bl.3.dfsg-7) unstable; urgency=low

  * refresh ident_subject.patch, so it can also be applied
    by dpkg-source when quilt is not installed.

 -- Bernhard R. Link <brlink@debian.org>  Sat, 31 Oct 2009 16:35:32 +0100

xbuffy (3.3.bl.3.dfsg-6) unstable; urgency=low

  * modernize package
  - move patches to debian/patches, add DEP3 description headers
  - use format 3.0 (quilt)
  - update standards version

 -- Bernhard R. Link <brlink@debian.org>  Tue, 27 Oct 2009 19:29:09 +0100

xbuffy (3.3.bl.3.dfsg-5) unstable; urgency=low

  * clean up debian/rules:
  - call make via $(MAKE) so that -jN works
  - move to debhelper compatibility level 5
  - modernize (build-arch, dh_install, proper distclean, no config-stamp, ...)
  * update debian/menu to new section names
  * add Homepage: field

 -- Bernhard R. Link <brlink@debian.org>  Sun,  2 Dec 2007 15:05:53 +0100

xbuffy (3.3.bl.3.dfsg-4) unstable; urgency=low

  * Specify manpage path to avoid problems with newer autoconfs
    (Closes: 376429)

 -- Bernhard R. Link <brlink@debian.org>  Wed,  5 Jul 2006 21:44:41 +0200

xbuffy (3.3.bl.3.dfsg-3) unstable; urgency=low

  * The "never stop unless you understand or you will have to do it
    again" release
  * now really fix the spacing issue (Closes: 365648)
  * fix bug that application defaults are not shipped when xbuffy is
    installed in the build system

 -- Bernhard R. Link <brlink@debian.org>  Tue,  2 May 2006 22:26:44 +0200

xbuffy (3.3.bl.3.dfsg-2) unstable; urgency=low

  * fix error parsing mails some mailers generate (Closes: 363002)
  * adopt to new location of X libraries
  * add AC_PREREQ(2.50) to avoid build-conflicting with autoconf2.13

 -- Bernhard R. Link <brlink@debian.org>  Fri, 21 Apr 2006 09:15:01 +0200

xbuffy (3.3.bl.3.dfsg-1) unstable; urgency=low

  * repackaged upstream source to remove all files
    with strange copyright notices and some build system stuff
  * correct debian/copyright file, including the copyright
    of all source files.
  * no longer use dpatch
  * adding build-dep to autoconf to generate configure
    from the now heavily changed configure.in at build time
  * give proper options to ./configure
    (like --host and --build and CFLAGS=)
  * to not link against libraries not used or with flags not needed.
  * add watch file
  * Retry autodetection when mailbox is not statable (Closes: 168910)

 -- Bernhard R. Link <brlink@debian.org>  Sat,  1 Apr 2006 15:25:39 +0200

xbuffy (3.3.bl.3-25) unstable; urgency=low

  * bump stardard-version field
  * move menu file to /usr/share/menu (no change needed for that)
  * use dpkg-architecture -qDEB_HOST_ARCH_OS instead of
    DEB_HOST_GNU_SYSTEM to decide if we are under Linux.
  * default to not suiding the led binary, document how the
    user can suid it via dpkg-statoverride

 -- Bernhard R. Link <brlink@debian.org>  Sat,  6 Aug 2005 13:34:44 +0200

xbuffy (3.3.bl.3-24) unstable; urgency=low

  * new da.po translation from Morten Bo Johansen (Closes: #285974)
  * new -silent switch to suppress all audio output. (Closes: 184750)
  * add direct include to string.h in xbuffy.c to avoid problems...

 -- Bernhard R. Link <brlink@debian.org>  Mon,  3 Jan 2005 13:40:13 +0100

xbuffy (3.3.bl.3-23) unstable; urgency=low

  * New Maintainer (Closes: #242098)
  * using /usr instead of /usr/X11R6
  * Tidy up a bit:
    - split patches in smaler parts
    - corrected some typos and missing escapes
    - added many missing includes and prototypes
    - removed spurious label (Closes: #259931)
  * now using $HOME/.xbuffyrc if no mailboxes specified (Closes: #55466)
  * changed -center and -fill slightly to leave more space (Closes: #184075)
  * PO File updates:
    - added the jo.po file from Hideki Yamane (Closes: #267671)
    - rewrote de.po
  * added checkfile mailboxtype to simple show the size of a file
  * converted debian/changeloge to unicode

 -- Bernhard R. Link <brlink@debian.org>  Sat, 16 Oct 2004 14:53:50 +0200

xbuffy (3.3.bl.3-22) unstable; urgency=low

  * Orphaned.

 -- Joel Rosdahl <joel@debian.org>  Sun,  4 Apr 2004 20:53:48 +0200

xbuffy (3.3.bl.3-21) unstable; urgency=low

  * Added Dutch debconf template from Tim Vandermeersch.
    Closes: bug#209100.
  * Made libxaw7-dev a build dependency instead of libxaw-dev.
  * Standards-Version 3.6.1.

 -- Joel Rosdahl <joel@debian.org>  Sat, 18 Oct 2003 21:46:08 +0200

xbuffy (3.3.bl.3-20) unstable; urgency=low

  * Use colon instead of period between user and group in chown call.
    Closes: bug#205533.

 -- Joel Rosdahl <joel@debian.org>  Fri, 15 Aug 2003 11:23:46 +0200

xbuffy (3.3.bl.3-19) unstable; urgency=low

  * Use dpatch for patch management.
  * Updated Standards-Version to 3.5.10.
  * Added patch (from Albert Ting) which fixes the flags nobeep and
    nohighlight and indents the subject text somewhat.

 -- Joel Rosdahl <joel@debian.org>  Fri, 18 Jul 2003 11:21:26 +0200

xbuffy (3.3.bl.3-18) unstable; urgency=low

  * Added French debconf template. Patch from Michel Grentzinger.
    Closes: bug#199641.

 -- Joel Rosdahl <joel@debian.org>  Wed,  2 Jul 2003 10:00:29 +0200

xbuffy (3.3.bl.3-17) unstable; urgency=low

  * Use new gettext format of debconf template files. Closes: bug#198750.
    Michel Grentzinger provided the patch. Thanks!

 -- Joel Rosdahl <joel@debian.org>  Wed, 25 Jun 2003 18:15:10 +0200

xbuffy (3.3.bl.3-16) unstable; urgency=low

  * Added missing build dependency on libxaw-dev. Closes: bug#178632.

 -- Joel Rosdahl <joel@debian.org>  Mon, 27 Jan 2003 21:37:00 +0100

xbuffy (3.3.bl.3-15) unstable; urgency=low

  * Changed build dependency on xlib6g-dev to xlibs-dev.
    Closes: bug#170154.
  * Use DH_COMPAT 3.
  * Standards-Version 3.5.8.
  * Clarified arguments to the "box" and "title" boxfile options in the
    man page. Closes: bug#160858.
  * Added Spanish version of the debconf templates. Translation done by
    Carlos Valdivia Yagüe. Thanks and sorry for the delay!
    Closes: bug#151514.
  * Applied patch that adds a -nohighlight option from Bernhard R. Link.
    Thanks and sorry for the delay! Closes: bug#158504.

 -- Joel Rosdahl <joel@debian.org>  Sun, 26 Jan 2003 22:32:55 +0100

xbuffy (3.3.bl.3-14) unstable; urgency=low

  * Applied patch from Randolph Chung to make xbuffy build on ia64.
    Closes: bug#106251.
  * The above patch should also fix the build problems on hppa.
    Closes: bug#104904.
  * Applied patch from Marcus Brinkmann to make xbuffy build on the Hurd.
    Closes: bug#101649.

 -- Joel Rosdahl <joel@debian.org>  Tue,  2 Oct 2001 08:21:23 +0200

xbuffy (3.3.bl.3-13) unstable; urgency=low

  * Standards-Version 3.5.2.
  * Put app-defaults in /etc/X11/app-defaults.  Closes: bug#86303.
  * Added app-defaults file as conffile.
  * Don't use suidmanager anymore.

 -- Joel Rosdahl <joel@debian.org>  Thu, 22 Feb 2001 22:39:51 +0100

xbuffy (3.3.bl.3-12) unstable; urgency=low

  * Translated debconf templates to Swedish.

 -- Joel Rosdahl <joel@debian.org>  Thu, 25 Jan 2001 21:17:42 +0100

xbuffy (3.3.bl.3-11) unstable; urgency=low

  * Added german version of the debconf templates.  Translation done by
    Jörg Rieger.  Closes: bug#83365.
  * Standards-Version 3.2.1.

 -- Joel Rosdahl <joel@debian.org>  Wed, 24 Jan 2001 21:00:24 +0100

xbuffy (3.3.bl.3-10) unstable; urgency=low

  * Improved build target in debian/rules (closes: #64035)
  * Added Build-Depends field to debian/control (closes: #64036)
  * Added patch for mailbox polling behaviour (closes: #64037)

 -- Joel Rosdahl <joel@debian.org>  Fri, 12 May 2000 19:43:04 +0200

xbuffy (3.3.bl.3-9) unstable; urgency=low

  * Debconfized.
  * Standards-Version 3.1.1.

 -- Joel Rosdahl <joel@debian.org>  Thu,  6 Jan 2000 15:09:35 +0100

xbuffy (3.3.bl.3-8) frozen unstable; urgency=low

  * Install xbuffyconfig with executable bit set (thanks to Matt McLean
    <keys@yikes.com>).  This fixes bug#29239 ("xbuffy: Doesn't install").

 -- Joel Rosdahl <joel@debian.org>  Tue, 24 Nov 1998 07:49:46 +0100

xbuffy (3.3.bl.3-7) unstable; urgency=low

  * Changed a flag to test in xbuffyconfig.
  * Rebuilt to get a call to update-menus in postrm.

 -- Joel Rosdahl <joel@debian.org>  Wed, 14 Oct 1998 19:00:52 +0200

xbuffy (3.3.bl.3-6) unstable; urgency=low

  * Fixed variable name in /usr/sbin/xbuffyconfig (bug #27416).

 -- Joel Rosdahl <joel@debian.org>  Sun,  4 Oct 1998 09:27:43 +0200

xbuffy (3.3.bl.3-5) unstable; urgency=low

  * Made a configuration file (fixes bug #27235).

 -- Joel Rosdahl <joel@debian.org>  Fri,  2 Oct 1998 10:48:32 +0200

xbuffy (3.3.bl.3-4) unstable; urgency=low

  * Incorporated non-maintainer changes  (bug #26135).

 -- Joel Rosdahl <joel@debian.org>  Mon, 28 Sep 1998 12:10:59 +0200

xbuffy (3.3.bl.3-3.1) unstable; urgency=low

  * non-maintainer upload (binary-only) for Alpha
  * added stdlib.h a couple of times for malloc prototypes which also
    meant bogus casts could be removed.

 -- Paul Slootman <paul@debian.org>  Tue, 25 Aug 1998 21:05:53 +0200

xbuffy (3.3.bl.3-3) unstable; urgency=low

  * Converted to debhelper.
  * Standards-Version 2.4.1
  * Wrote a man page for /usr/sbin/xbuffyconfig

 -- Joel Rosdahl <joel@debian.org>  Sun, 26 Jul 1998 18:26:43 +0200

xbuffy (3.3.bl.3-2) unstable; urgency=low

  * Fixed typos in README.LED.

 -- Joel Rosdahl <joel@debian.org>  Fri, 24 Jul 1998 16:39:53 +0200

xbuffy (3.3.bl.3-1) unstable; urgency=low

  * Upstream version with the LED support.
  * Applied a minor patch from Anders Johansson.
  * The source can be unpacked, I think...  (bug #24290).
  * Wrote a configure script (/usr/sbin/xbuffyconfig).
  * Wrote README.LED.
  * Removed the forking to background.

 -- Joel Rosdahl <joel@debian.org>  Sun, 19 Jul 1998 17:12:52 +0200

xbuffy (3.3.bl.2-1) unstable; urgency=low

  * Incorporating new patches (coordinated by Brandon Long; see
    /usr/doc/xbuffy/README.BL) which fix some bugs and add support for MH
    folders and maildirs
  * Fixed some problems reported by Lintian

 -- Joel Rosdahl <joel@debian.org>  Fri, 27 Feb 1998 14:07:08 +0100

xbuffy (3.3-1) unstable; urgency=low

  * New version (fixes bug #14255)

 -- Joel Rosdahl <joel@debian.org>  Fri, 31 Oct 1997 14:18:49 +0100

xbuffy (3.2.1-4) unstable; urgency=low

  * Changed the Architecture field in debian/control to any (fixes bug #13628)

 -- Joel Rosdahl <joel@debian.org>  Wed,  8 Oct 1997 23:53:24 +0200

xbuffy (3.2.1-3) unstable; urgency=low

  * Compiled against xlib6g (Fixes bug #12817)

 -- Joel Rosdahl <joel@debian.org>  Thu, 25 Sep 1997 21:21:37 +0200

xbuffy (3.2.1-2) unstable; urgency=low

  * Changed the app-defaults file
  * Fixed a couple of bugs in the parsing of mailbox and newsbox paths
  * Removed a bit of NNTP correctness checking that caused problems
  * Changed menu section to Apps/Net
  * Removed default news server

 -- Joel Rosdahl <joel@debian.org>  Tue,  5 Aug 1997 18:57:05 +0200

xbuffy (3.2.1-1) unstable; urgency=low

  * Initial Release.

 -- Joel Rosdahl <joel@debian.org>  Sat, 12 Jul 1997 01:36:09 +0200
